<template>
  <!---------------------------------------------->
  <div class="group inline-block ml-4">
    <button
      class="outline-none focus:outline-none border-0 px-4 py-2 bg-white rounded-full flex text-gray-400 items-center min-w-40"
    >
      <img src="@/assets/icons/filter-icon.svg" />
      <span class="pr-4 pl-2 font-semibold flex-1">Sort By</span>
      <span>
        <svg
          class="fill-current h-4 w-4 transform group-hover:-rotate-180 transition duration-150 ease-in-out"
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 20 20"
        >
          <path
            d="M9.293 12.95l.707.707L15.657 8l-1.414-1.414L10 10.828 5.757 6.586 4.343 8z"
          />
        </svg>
      </span>
    </button>
    <ul
      class="bg-white border rounded-sm transform scale-0 group-hover:scale-100 absolute transition duration-150 ease-in-out origin-top text-sm z-10 mt-1"
    >
      <li class="rounded-sm px-2 py-1 hover:bg-gray-100 cursor-pointer">
        Doctor
      </li>
      <li class="rounded-sm px-2 py-1 hover:bg-gray-100 cursor-pointer">
        Nurse
      </li>
      <li class="rounded-sm px-2 py-1 hover:bg-gray-100 cursor-pointer">
        High Risk Patient
      </li>
      <li class="rounded-sm px-2 py-1 hover:bg-gray-100 cursor-pointer">
        Invited Link Expired
      </li>
    </ul>
  </div>
  <!------------------------------------------->
</template>

<script>
export default {};
</script>

<style></style>
